<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Bootstrap components</title>
        <link
            rel="stylesheet"
            href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
            integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N"
            crossorigin="anonymous"
        />
    </head>
    <body>
        <!-- NavBar Here -->
        <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
            <a class="navbar-brand" href="#">Navbar</a>
            <button
                class="navbar-toggler"
                type="button"
                data-toggle="collapse"
                data-target="#navbarNav"
                aria-controls="navbarNav"
                aria-expanded="false"
                aria-label="Toggle navigation"
            >
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav">
                    <li class="nav-item active">
                        <a class="nav-link" href="#"
                            >Home <span class="sr-only">(current)</span></a
                        >
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#">Features</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#">Pricing</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link disabled">Disabled</a>
                    </li>
                </ul>
            </div>
        </nav>
        <!-- NavBar End -->

        <div class="container-fluid text-center">
            <div class="row">
                <div class="card col-xl-2 d-none d-xl-block p-0">
                    <div class="accordion" id="accordionExample">
                        <!-- service start -->
                        <div class="card">
                            <div class="card-header" id="headingOne">
                                <h2 class="mb-0">
                                    <button
                                        class="btn btn-link btn-block text-left"
                                        type="button"
                                        data-toggle="collapse"
                                        data-target="#collapseOne"
                                        aria-expanded="true"
                                        aria-controls="collapseOne"
                                    >
                                        Services
                                    </button>
                                </h2>
                            </div>

                            <div
                                id="collapseOne"
                                class="collapse show"
                                aria-labelledby="headingOne"
                                data-parent="#accordionExample"
                            >
                                <div class="card-body">
                                    <ul
                                        class="text-justify"
                                        style="list-style: none"
                                    >
                                        <li>
                                            <a href="#">Front end Design</a>
                                        </li>
                                        <li><a href="#">Backend Server</a></li>
                                        <li>
                                            <a href="#"
                                                >Full Stack Development</a
                                            >
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                        <!-- service start -->

                        <div class="card">
                            <div class="card-header" id="headingTwo">
                                <h2 class="mb-0">
                                    <button
                                        class="btn btn-link btn-block text-left collapsed"
                                        type="button"
                                        data-toggle="collapse"
                                        data-target="#collapseTwo"
                                        aria-expanded="false"
                                        aria-controls="collapseTwo"
                                    >
                                        Projects
                                    </button>
                                </h2>
                            </div>
                            <div
                                id="collapseTwo"
                                class="collapse"
                                aria-labelledby="headingTwo"
                                data-parent="#accordionExample"
                            >
                                <div class="card-body">
                                    <ul
                                        class="text-justify"
                                        style="list-style: none"
                                    >
                                        <li><a href="">HTML</a></li>
                                        <li><a href="">BootStrap</a></li>
                                        <li><a href="">NodeJS Server</a></li>
                                    </ul>
                                </div>
                            </div>
                        </div>

                        <div class="card">
                            <div class="card-header" id="headingThree">
                                <h2 class="mb-0">
                                    <button
                                        class="btn btn-link btn-block text-left collapsed"
                                        type="button"
                                        data-toggle="collapse"
                                        data-target="#collapseThree"
                                        aria-expanded="false"
                                        aria-controls="collapseThree"
                                    >
                                        Tools
                                    </button>
                                </h2>
                            </div>
                            <div
                                id="collapseThree"
                                class="collapse"
                                aria-labelledby="headingThree"
                                data-parent="#accordionExample"
                            >
                                <div class="card-body">
                                    <ul
                                        class="text-justify"
                                        style="list-style: none"
                                    >
                                        <li><a href="">Core tools</a></li>
                                        <li><a href="">Other tools</a></li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div></div>
                <div class="col-xl-10 p-0">
                    <!-- Profile section start -->
                    <div
                        class="container-fluid bg-dark text-light min-vh-100 p-3 p-md-5"
                    >
                        <img
                            src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcTTUM1Pa66GRDCveD-jtyMioEqlCygoOP9BrmqU0bA1m4XYHGPespjix9JpCz9H2w7vAnY&usqp=CAU"
                            alt=""
                            class="mt-5 p-md-0 rounded-circle"
                        />
                        <h1>Ada Lovelae</h1>
                        <h3>Full Stack Developer</h3>
                        <div class="row mt-5">
                            <div class="offset-md-2 col-md-8">
                                <p>
                                    Lorem, ipsum dolor sit amet consectetur
                                    adipisicing elit. Deleniti ex placeat
                                    consequuntur quo eligendi, necessitatibus
                                    ipsum, amet repudiandae dolores, saepe
                                    voluptatibus itaque? Mollitia aliquid
                                    accusamus qui explicabo molestiae
                                    exercitationem nam!
                                </p>
                            </div>
                        </div>
                        <!-- carousel start -->
                        <div class="row d-none d-md-block mt-md-5">
                            <div class="offset xl-3 col-xl-6">
                                <div
                                    id="carouselExampleIndicators"
                                    class="carousel slide"
                                    data-ride="carousel"
                                >
                                    <ol class="carousel-indicators">
                                        <li
                                            data-target="#carouselExampleIndicators"
                                            data-slide-to="0"
                                            class="active"
                                        ></li>
                                        <li
                                            data-target="#carouselExampleIndicators"
                                            data-slide-to="1"
                                        ></li>
                                        <li
                                            data-target="#carouselExampleIndicators"
                                            data-slide-to="2"
                                        ></li>
                                    </ol>
                                    <div class="carousel-inner">
                                        <div class="carousel-item active">
                                            <img
                                                src="http://placekitten.com/500/300"
                                                class="d-block w-100"
                                                alt="..."
                                            />
                                        </div>
                                        <div class="carousel-item">
                                            <img
                                                src="https://placebear.com/500/300"
                                                class="d-block w-100"
                                                alt="..."
                                            />
                                        </div>
                                        <div class="carousel-item">
                                            <img
                                                src="http://placekitten.com/500/300"
                                                class="d-block w-100"
                                                alt="..."
                                            />
                                        </div>
                                    </div>
                                    <button
                                        class="carousel-control-prev"
                                        type="button"
                                        data-target="#carouselExampleIndicators"
                                        data-slide="prev"
                                    >
                                        <span
                                            class="carousel-control-prev-icon"
                                            aria-hidden="true"
                                        ></span>
                                        <span class="sr-only">Previous</span>
                                    </button>
                                    <button
                                        class="carousel-control-next"
                                        type="button"
                                        data-target="#carouselExampleIndicators"
                                        data-slide="next"
                                    >
                                        <span
                                            class="carousel-control-next-icon"
                                            aria-hidden="true"
                                        ></span>
                                        <span class="sr-only">Next</span>
                                    </button>
                                </div>
                            </div>
                        </div>
                        <!-- carousel end -->
                    </div>
                    <!-- Profile section end -->

                    <!-- Other projects start -->
                    <div class="bg-secondary text-light min-vh-100 p-5">
                        <h2 class="mb-3">Other Projects</h2>
                        <div class="card-deck">
                            <div class="card bg-dark">
                                <img
                                    src="https://3.bp.blogspot.com/-7x5c_f1yzsQ/XHv9FZKHrEI/AAAAAAAADrE/4iGl9Lm6K2odX4SdWbU_RN6gZesx4IaGACEwYBhgL/s1600/html.jpg"
                                    class="card-img-top"
                                    alt="..."
                                />
                                <div class="card-body">
                                    <h5 class="card-title">HTML</h5>
                                    <p class="card-text">Programming</p>
                                    <a href="#">Link to project</a>
                                </div>
                            </div>

                            <div class="card bg-dark">
                                <img
                                    src="https://getbootstrap.com/docs/5.2/assets/img/bootstrap-icons.png"
                                    class="card-img-top"
                                    alt="..."
                                />
                                <div class="card-body">
                                    <h5 class="card-title">BootStrap</h5>
                                    <p class="card-text">Rapid Prototyping</p>
                                    <a href="#">Link to project</a>
                                </div>
                            </div>

                            <div class="card bg-dark">
                                <img
                                    src="https://clever-solution.com/wp-content/uploads/2020/04/5625%D0%9C%D0%BE%D0%BD%D1%82%D0%B0%D0%B6%D0%BD%D0%B0%D1%8F-%D0%BE%D0%B1%D0%BB%D0%B0%D1%81%D1%82%D1%8C-1-1280x720.png"
                                    class="card-img-top"
                                    alt="..."
                                />
                                <div class="card-body">
                                    <h5 class="card-title">Node JS</h5>
                                    <p class="card-text">Back end basics</p>
                                    <a href="#">Link to project</a>
                                </div>
                            </div>
                        </div>
                        <!-- contact form start here -->
                        <div class="">
                            <h2 class="mt-5">Contact Me</h2>
                            <form
                                action=""
                                class="bg-primary d-flex flex-column p-3 col-12 col-md-8 col-lg-4 m-auto"
                            >
                                <label for="name">Name</label>
                                <input type="name" required />

                                <label for="email">Email Address</label>
                                <input type="email" required />

                                <label for="contactNumber"
                                    >Contact Number</label
                                >
                                <input
                                    type="tel"
                                    pattern="[0-9]{11}"
                                    required
                                />

                                <label for="concerns">Concerns</label>
                                <select id="concerns" name="concerns">
                                    <option value="Concern 1">Concern 1</option>
                                    <option value="Concern 2">Concern 2</option>
                                    <option value="Concern 3">Concern 3</option>
                                    <option value="Concern 4">Concern 4</option>
                                </select>
                                <label for="mes">Message</label>
                                <textarea
                                    name="mes"
                                    id="mes"
                                    cols="30"
                                    rows="10"
                                    required
                                    class="mb-3"
                                >
                                    Enter your message here
                                </textarea>
                                <button
                                    type="submit"
                                    data-toggle="modal"
                                    data-target="#exampleModal"
                                    class="btn btn-secondary w-50 m-auto"
                                >
                                    Send Email
                                </button>
                            </form>
                        </div>
                        <!-- modal here -->
                        <div
                            class="modal fade"
                            id="exampleModal"
                            tabindex="-1"
                            aria-labelledby="exampleModalLabel"
                            aria-hidden="true"
                        >
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5
                                            class="modal-title text-dark"
                                            id="exampleModalLabel"
                                        >
                                            Thank you for messaging us
                                        </h5>
                                        <button
                                            type="button"
                                            class="close"
                                            data-dismiss="modal"
                                            aria-label="Close"
                                        >
                                            <span aria-hidden="true"
                                                >&times;</span
                                            >
                                        </button>
                                    </div>
                                    <div class="modal-body text-dark">
                                        Email successfully sent
                                    </div>
                                    <div class="modal-footer">
                                        <button
                                            type="button"
                                            class="btn btn-secondary"
                                            data-dismiss="modal"
                                        >
                                            Close
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Other projects end -->
                </div>
            </div>
        </div>
        <script
            src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
            integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
            crossorigin="anonymous"
        ></script>
        <script
            src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct"
            crossorigin="anonymous"
        ></script>
    </body>
</html>
